using AllocsFixes.PersistentData;
using System;
using System.Collections.Generic;

namespace AllocsFixes
{
	public class PlayerDataStuff
	{

		public static void GM_SavePlayerData (GameManager manager, int _clientId, PlayerDataFile _playerDataFile)
		{
			try {
				ClientInfo ci = CommonMappingFunctions.GetClientInfoFromClientID(_clientId);
				string steamId = CommonMappingFunctions.GetSteamID(ci);
				PersistentContainer.Instance.Players[steamId].Inventory.Update(_playerDataFile);
				Mods.CallSavePlayerData (_clientId, _playerDataFile);
			} catch (Exception e) {
				Log.Out ("Error in GM_SavePlayerData: " + e);
			}
		}


	}
}
